%define spname		ejb
%define name		%{spname}api-2.0-sun
%define version		2.0
%define cvs_version	2_0
%define release		1jpp
%define section		non-free
%define source_top	%{name}-%{version}

Summary:	Enterprise JavaBeans Technology
URL:		http://java.sun.com/products/ejb/


Source0:	%{spname}-%{cvs_version}-fr-class.zip
NoSource:	0

# If you do not want -javadoc built, give rpmbuild option '--without javadoc'
%define with_javadoc %{!?_without_javadoc:1}%{?_without_javadoc:0}

%if %{with_javadoc}
Source1:	%{spname}-%{cvs_version}-fr-docs.zip
NoSource:	1
%endif

Source2:	%{spname}-%{cvs_version}-fr2-spec.pdf
NoSource:	2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Sun Binary Code License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
BuildRequires:	jpackage-utils > 0:1.5
BuildRequires:	java-devel
Requires:	jpackage-utils > 0:1.5
Provides:	%{spname} = %{epoch}:%{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Since its introduction over two years ago, Enterprise 
JavaBeansTM (EJBTM) technology has maintained unprecedented 
momentum among platform providers and enterprise development 
teams alike. That's because the EJB server-side component 
model simplifies development of middleware components that 
are transactional, scalable, and portable. Enterprise 
JavaBeans servers reduce the complexity of developing 
middleware by providing automatic support for middleware 
services such as transactions, security, database 
connectivity, and more.

EJB 2.0 technology represents a major new release offering 
many significant benefits, further simplifying and expediting 
development and deployment of more feature-rich enterprise 
applications. On April 26, 2001, Sun released the EJB 2.0 
specification Final Proposed Draft #2 to the public through 
the Java Community ProcessSM (JCP 2.0).

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}

%prep
%setup -q -c -n %{source_top}
chmod -R go=u-w *

install -m 0644 %{SOURCE2} .

%if %{with_javadoc}
%setup -q -c -T -a 1 -n %{source_top}/javadoc

# This sets the directory to the top of unpacked sources:
%setup -q -D -T -n %{source_top}
%endif

%build

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{spname}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
%if %{with_javadoc}
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/*   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root,-)
%doc *.pdf
%{_javadir}/*

%if %{with_javadoc}
%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}
%endif

%changelog
* Thu Dec 10 2004 Ralph Apel <r.apel@r-apel.de> 0:2.0-1jpp
- downgrade to 2.0
- change name from ejb to ejbapi-2.0-sun
- provide ejb = 0:2.0-1jpp

* Tue Oct 07 2003 Leonid Dubinsky <dub@podval.org> 0:2.1-2jpp
- update to the second final draft
- add javadoc subpackage
- add dependence and build dependence on jpackage-utils

* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:2.1-1jpp
- release
